HOW TO: Safer upgrades

Archived topics about LMDE 1
Forum rules
User avatar
kwevej
Level 5
Level 5
Posts: 582
Joined: Mon Mar 22, 2010 3:35 pm
Location: Delft / Prague [@ LMDE]

HOW TO: Safer upgrades

Postby kwevej » Tue Jan 25, 2011 5:08 am

Code: Select all

apt install apt-listbugs

apt-listbugs is a tool which retrieves bug reports from the Debian Bug Tracking System and lists them. Especially, it is intended to be invoked before each upgrade/installation by apt in order to check whether the upgrade/installation is safe.


Today, it saved my ***:

Code: Select all

Retrieving bug reports... Done
Parsing Found/Fixed information... Done
serious bugs of libc6 (2.11.2-7 -> 2.11.2-9) <marked as done in some version>
 #610657 - libc6: Segfault in dynamic loader on new Intel CPUs (with AVX) (Fixed: eglibc/2.11.2-10)
Summary:
 libc6(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...]  n
****************************************************************************
****** Exit with an error by force in order to stop the installation. ******
***************************************************************************

Return to “Archive”

Who is online

Users browsing this forum: No registered users and 2 guests